import Config from './Config';
export interface RunCommand {
    kind: 'run';
    config: Config;
}
export interface HelpCommand {
    kind: 'help';
}
export interface VersionCommand {
    kind: 'version';
}
export declare type Command = RunCommand | HelpCommand | VersionCommand;
export default class Options {
    readonly args: Array<string>;
    constructor(args: Array<string>);
    parse(): RunCommand | HelpCommand | VersionCommand;
}
