import * as Babel from '@babel/core';
import { GeneratorOptions } from '@babel/generator';
import { AST, ParseOptions } from './BabelPluginTypes';
export declare function parse(code: string, options: ParseOptions, parse: (code: string, options: ParseOptions) => AST): AST;
export declare function generate(ast: AST, options: GeneratorOptions, code: string, generate: (ast: AST, options: GeneratorOptions) => string): {
    code: string;
    map?: object;
};
export default function (babel: typeof Babel): {
    parserOverride: typeof parse;
    generatorOverride: typeof generate;
};
