"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function union(...sets) {
    return new Set(sets.reduce((result, set) => [...result, ...set], []));
}
exports.TypeScriptExtensions = new Set(['.ts', '.tsx']);
exports.JavaScriptExtensions = new Set([
    '.js',
    '.jsx',
    '.mjs',
    '.es',
    '.es6'
]);
exports.PluginExtensions = union(exports.TypeScriptExtensions, exports.JavaScriptExtensions);
exports.RequireableExtensions = union(exports.TypeScriptExtensions, exports.JavaScriptExtensions);
exports.TransformableExtensions = union(exports.TypeScriptExtensions, exports.JavaScriptExtensions);
//# sourceMappingURL=extensions.js.map