import Resolver from './Resolver';
/**
 * Resolves file system paths to plugins.
 */
export default class FileSystemResolver implements Resolver {
    private readonly optionalExtensions;
    constructor(optionalExtensions?: Set<string>);
    private enumerateCandidateSources;
    canResolve(source: string): Promise<boolean>;
    resolve(source: string): Promise<string>;
}
